Index: trunk/modelicaml/org.openmodelica.modelicaml.profile.report/model/ModelicaML.profile.uml
===================================================================
--- trunk/modelicaml/org.openmodelica.modelicaml.profile.report/model/ModelicaML.profile.uml	(revision 1607)
+++ trunk/modelicaml/org.openmodelica.modelicaml.profile.report/model/ModelicaML.profile.uml	(revision 1717)
@@ -1110,10 +1093,764 @@
       <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_RktLEGvREd65MZ8o9QNr-w" name="extension_FunctionArgument" type="_-TiUwGoBEd6MDfyi5Yk5ng" aggregation="composite" association="_RdGuQGvREd65MZ8o9QNr-w"/>
     </packagedElement>
-    <profileApplication xmi:id="_bgmHkF5LEd6vy6oEr0QneQ">
-      <eAnnotations xmi:id="_bh8LYF5LEd6vy6oEr0QneQ" source="http://www.eclipse.org/uml2/2.0.0/UML"/>
-    </profileApplication>
   </packagedElement>
   <packagedElement xmi:type="uml:Profile" xmi:id="_F7HQkFNNEd6YXtyPQ2LL6Q" name="ModelicaBehaviorConstructs" metaclassReference="_n6v0EFp6Ed6wHrenq6l_fA _AvjKcFp7Ed6wHrenq6l_fA _DqHeIFp7Ed6wHrenq6l_fA _q7jdMFp7Ed6wHrenq6l_fA _7kAjQGDIEd6v450MT6BnSw _-lrcAHhXEd61gosBa_LKXQ _IVpC0JxKEd6RMu88zSj-NA _XHgcUMbWEd6JBtxNmDMs3Q _jr3kgDv1Ed-3ucOGnYJ5qw _c8Jc0E-AEd-nnOK4EzJA-w">
     <eAnnotations xmi:id="_KhbWlFNcEd6YXtyPQ2LL6Q" source="http://www.eclipse.org/uml2/2.0.0/UML">
+      <contents xmi:type="ecore:EPackage" xmi:id="_DLElsGYnEeKa6IhMvygGQA" name="ModelicaBehaviorConstructs" nsURI="http://ModelicaML/schemas/ModelicaBehaviorConstructs/_DLD-oGYnEeKa6IhMvygGQA/107" nsPrefix="ModelicaBehaviorConstructs">
+        <eAnnotations xmi:id="_DLElsWYnEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/4.0.0/UML" references="_HjkcIFNNEd6YXtyPQ2LL6Q"/>
+        <eAnnotations xmi:id="_DMAZ0GYnEeKa6IhMvygGQA" source="PapyrusVersion">
+          <details xmi:id="_DMAZ0WYnEeKa6IhMvygGQA" key="Version" value="0.0.106"/>
+          <details xmi:id="_DMAZ0mYnEeKa6IhMvygGQA" key="Comment" value="- freezeExpression added to ModelicaMLStateMachine stereotype"/>
+          <details xmi:id="_DMAZ02YnEeKa6IhMvygGQA" key="Copyright" value=""/>
+          <details xmi:id="_DMAZ1GYnEeKa6IhMvygGQA" key="Date" value="2013-01-24"/>
+          <details xmi:id="_DMAZ1WYnEeKa6IhMvygGQA" key="Author" value=""/>
+        </eAnnotations>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_DLElsmYnEeKa6IhMvygGQA" name="AlgorithmCode" eSuperTypes="_DLEluWYnEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_DLEls2YnEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_-FADYFNhEd6YXtyPQ2LL6Q"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_DLEltGYnEeKa6IhMvygGQA" name="base_OpaqueBehavior" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//OpaqueBehavior"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLEltmYnEeKa6IhMvygGQA" name="initial" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_DLEluWYnEeKa6IhMvygGQA" name="AlgorithmLoopProperties" abstract="true">
+          <eAnnotations xmi:id="_DLElumYnEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_7fZ4wFp1Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLElu2YnEeKa6IhMvygGQA" name="loopKind" ordered="false" unique="false" eType="_DLElwWYnEeKa6IhMvygGQA" defaultValueLiteral=""/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLElvWYnEeKa6IhMvygGQA" name="forIndices" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLElv2YnEeKa6IhMvygGQA" name="whileExpression" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EEnum" xmi:id="_DLElwWYnEeKa6IhMvygGQA" name="ModelicaML_ModelicaPredefinedEnumerations_ModelicaAlgorithmLoopKind">
+          <eAnnotations xmi:id="_DLElwmYnEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_lQ1PsFpzEd6wHrenq6l_fA"/>
+          <eLiterals xmi:id="_DLElw2YnEeKa6IhMvygGQA" name="for"/>
+          <eLiterals xmi:id="_DLElxGYnEeKa6IhMvygGQA" name="while" value="1"/>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_DLElxWYnEeKa6IhMvygGQA" name="EquationsCode" eSuperTypes="_DLElzGYnEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_DLElxmYnEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_CZkP4FNiEd6YXtyPQ2LL6Q"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_DLElx2YnEeKa6IhMvygGQA" name="base_OpaqueBehavior" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//OpaqueBehavior"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLElyWYnEeKa6IhMvygGQA" name="initial" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_DLElzGYnEeKa6IhMvygGQA" name="EquationsLoopProperties" abstract="true">
+          <eAnnotations xmi:id="_DLElzWYnEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_r6gLAFp2Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLElzmYnEeKa6IhMvygGQA" name="loopKind" ordered="false" unique="false" eType="_DLEl0mYnEeKa6IhMvygGQA" defaultValueLiteral=""/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLEl0GYnEeKa6IhMvygGQA" name="forIndices" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EEnum" xmi:id="_DLEl0mYnEeKa6IhMvygGQA" name="ModelicaML_ModelicaPredefinedEnumerations_ModelicaEquationsLoopKind">
+          <eAnnotations xmi:id="_DLEl02YnEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_dpe8cFp2Ed6wHrenq6l_fA"/>
+          <eLiterals xmi:id="_DLEl1GYnEeKa6IhMvygGQA" name="for"/>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_DLEl1WYnEeKa6IhMvygGQA" name="If">
+          <eAnnotations xmi:id="_DLEl1mYnEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_55tSMFNiEd6YXtyPQ2LL6Q"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_DLEl12YnEeKa6IhMvygGQA" name="base_DecisionNode" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//DecisionNode"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_DLEl2WYnEeKa6IhMvygGQA" name="When">
+          <eAnnotations xmi:id="_DLEl2mYnEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_9oa_oFNiEd6YXtyPQ2LL6Q"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_DLEl22YnEeKa6IhMvygGQA" name="base_DecisionNode" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//DecisionNode"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_DLEl3WYnEeKa6IhMvygGQA" name="ConditionalAlgorithmDiagram" eSuperTypes="_DLEluWYnEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_DLEl3mYnEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_KYuS4Fp1Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_DLEl32YnEeKa6IhMvygGQA" name="base_Activity" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Activity"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLEl4WYnEeKa6IhMvygGQA" name="isSubActivity" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLEl42YnEeKa6IhMvygGQA" name="initial" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_DLEl5mYnEeKa6IhMvygGQA" name="ConditionalEquationsDiagram" eSuperTypes="_DLElzGYnEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_DLEl52YnEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_KYuS4lp1Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_DLEl6GYnEeKa6IhMvygGQA" name="base_Activity" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Activity"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLEl6mYnEeKa6IhMvygGQA" name="isSubActivity" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLEl7GYnEeKa6IhMvygGQA" name="initial" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_DLEl72YnEeKa6IhMvygGQA" name="EquationsCodeInDiagram" eSuperTypes="_DLElzGYnEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_DLEl8GYnEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_VPo_0Fp6Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_DLEl8WYnEeKa6IhMvygGQA" name="base_OpaqueAction" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//OpaqueAction"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_DLEl9GYnEeKa6IhMvygGQA" name="AlgorithmStatementsCodeInDiagram" eSuperTypes="_DLEluWYnEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_DLEl9WYnEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_Ypf3kFp6Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_DLEl9mYnEeKa6IhMvygGQA" name="base_OpaqueAction" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//OpaqueAction"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_DLEl-WYnEeKa6IhMvygGQA" name="Assert">
+          <eAnnotations xmi:id="_DLEl-mYnEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_l_65wFNhEd6YXtyPQ2LL6Q"/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLEl-2YnEeKa6IhMvygGQA" name="condition" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLEl_WYnEeKa6IhMvygGQA" name="message" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLEl_2YnEeKa6IhMvygGQA" name="level" ordered="false" unique="false" lowerBound="1" eType="_DLEmA2YnEeKa6IhMvygGQA" defaultValueLiteral="warning"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_DLEmAWYnEeKa6IhMvygGQA" name="base_Constraint" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Constraint"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EEnum" xmi:id="_DLEmA2YnEeKa6IhMvygGQA" name="ModelicaML_ModelicaPredefinedEnumerations_ModelicaAssertionLevel">
+          <eAnnotations xmi:id="_DLEmBGYnEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_lQ4fwFqDEd6wHrenq6l_fA"/>
+          <eLiterals xmi:id="_DLEmBWYnEeKa6IhMvygGQA" name="warning"/>
+          <eLiterals xmi:id="_DLEmBmYnEeKa6IhMvygGQA" name="error" value="1"/>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_DLEmB2YnEeKa6IhMvygGQA" name="ModelicaMLStateMachine">
+          <eAnnotations xmi:id="_DLEmCGYnEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_J6FREJxKEd6RMu88zSj-NA"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_DLEmCWYnEeKa6IhMvygGQA" name="base_StateMachine" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//StateMachine"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLEmC2YnEeKa6IhMvygGQA" name="samplingExpression" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLEmDWYnEeKa6IhMvygGQA" name="additionalCode" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLEmD2YnEeKa6IhMvygGQA" name="freezeExpression" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_DLEmEWYnEeKa6IhMvygGQA" name="StateDependency">
+          <eAnnotations xmi:id="_DLEmEmYnEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="__sLxEHhXEd61gosBa_LKXQ"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_DLEmE2YnEeKa6IhMvygGQA" name="isInState" ordered="false" unique="false" lowerBound="1" upperBound="-1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//State"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_DLEmFWYnEeKa6IhMvygGQA" name="base_ControlFlow" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//ControlFlow"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLEmF2YnEeKa6IhMvygGQA" name="logicalOperator" ordered="false" unique="false" lowerBound="1" eType="_DLEmG2YnEeKa6IhMvygGQA" defaultValueLiteral="and"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_DLEmGWYnEeKa6IhMvygGQA" name="base_Transition" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Transition"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EEnum" xmi:id="_DLEmG2YnEeKa6IhMvygGQA" name="ModelicaML_ModelicaPredefinedEnumerations_LogicalOperators">
+          <eAnnotations xmi:id="_DLEmHGYnEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_Ky91IHoBEd6HTZA5rjYUOg"/>
+          <eLiterals xmi:id="_DLEmHWYnEeKa6IhMvygGQA" name="and"/>
+          <eLiterals xmi:id="_DLEmHmYnEeKa6IhMvygGQA" name="or" value="1"/>
+          <eLiterals xmi:id="_DLEmH2YnEeKa6IhMvygGQA" name="not" value="2"/>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_DLEmIGYnEeKa6IhMvygGQA" name="ExecutionOrderPriority">
+          <eAnnotations xmi:id="_DLEmIWYnEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_DhKxkAUhEd-trtPDFQJemA"/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLEmImYnEeKa6IhMvygGQA" name="priority" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="0">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Integer"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_DLEmJGYnEeKa6IhMvygGQA" name="base_Transition" ordered="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Transition"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_DLEmJmYnEeKa6IhMvygGQA" name="base_Region" ordered="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Region"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_DLEmKGYnEeKa6IhMvygGQA" name="base_ControlFlow" ordered="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//ControlFlow"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_DLEmKmYnEeKa6IhMvygGQA" name="StateTransitionSpecification">
+          <eAnnotations xmi:id="_DLEmK2YnEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_SZNMYEu4Ed-kMYgIGglkOw"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_DLEmLGYnEeKa6IhMvygGQA" name="base_Transition" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Transition"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLEmLmYnEeKa6IhMvygGQA" name="suppressExitActions" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLEmMGYnEeKa6IhMvygGQA" name="suppressEntryActions" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_DLEmMmYnEeKa6IhMvygGQA" name="StateSpecification">
+          <eAnnotations xmi:id="_DLEmM2YnEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_dY6RUE-AEd-nnOK4EzJA-w"/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_DLEmNGYnEeKa6IhMvygGQA" name="freezeExpression" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_DLEmNmYnEeKa6IhMvygGQA" name="base_State" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//State"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+      </contents>
+      <contents xmi:type="ecore:EPackage" xmi:id="_w-F8EGYfEeKa6IhMvygGQA" name="ModelicaBehaviorConstructs" nsURI="http://ModelicaML/schemas/ModelicaBehaviorConstructs/_w-FVAGYfEeKa6IhMvygGQA/106" nsPrefix="ModelicaBehaviorConstructs">
+        <eAnnotations xmi:id="_w-F8EWYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/4.0.0/UML" references="_HjkcIFNNEd6YXtyPQ2LL6Q"/>
+        <eAnnotations xmi:id="_w_AiEGYfEeKa6IhMvygGQA" source="PapyrusVersion">
+          <details xmi:id="_w_AiEWYfEeKa6IhMvygGQA" key="Version" value="0.0.105"/>
+          <details xmi:id="_w_AiEmYfEeKa6IhMvygGQA" key="Comment" value=""/>
+          <details xmi:id="_w_AiE2YfEeKa6IhMvygGQA" key="Copyright" value=""/>
+          <details xmi:id="_w_AiFGYfEeKa6IhMvygGQA" key="Date" value="2013-01-24"/>
+          <details xmi:id="_w_AiFWYfEeKa6IhMvygGQA" key="Author" value=""/>
+        </eAnnotations>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_w-F8EmYfEeKa6IhMvygGQA" name="AlgorithmCode" eSuperTypes="_w-F8GWYfEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_w-F8E2YfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_-FADYFNhEd6YXtyPQ2LL6Q"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_w-F8FGYfEeKa6IhMvygGQA" name="base_OpaqueBehavior" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//OpaqueBehavior"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_w-F8FmYfEeKa6IhMvygGQA" name="initial" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_w-F8GWYfEeKa6IhMvygGQA" name="AlgorithmLoopProperties" abstract="true">
+          <eAnnotations xmi:id="_w-F8GmYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_7fZ4wFp1Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_w-F8G2YfEeKa6IhMvygGQA" name="loopKind" ordered="false" unique="false" eType="_w-F8IWYfEeKa6IhMvygGQA" defaultValueLiteral=""/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_w-F8HWYfEeKa6IhMvygGQA" name="forIndices" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_w-F8H2YfEeKa6IhMvygGQA" name="whileExpression" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EEnum" xmi:id="_w-F8IWYfEeKa6IhMvygGQA" name="ModelicaML_ModelicaPredefinedEnumerations_ModelicaAlgorithmLoopKind">
+          <eAnnotations xmi:id="_w-F8ImYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_lQ1PsFpzEd6wHrenq6l_fA"/>
+          <eLiterals xmi:id="_w-F8I2YfEeKa6IhMvygGQA" name="for"/>
+          <eLiterals xmi:id="_w-F8JGYfEeKa6IhMvygGQA" name="while" value="1"/>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_w-F8JWYfEeKa6IhMvygGQA" name="EquationsCode" eSuperTypes="_w-F8LGYfEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_w-F8JmYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_CZkP4FNiEd6YXtyPQ2LL6Q"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_w-F8J2YfEeKa6IhMvygGQA" name="base_OpaqueBehavior" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//OpaqueBehavior"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_w-F8KWYfEeKa6IhMvygGQA" name="initial" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_w-F8LGYfEeKa6IhMvygGQA" name="EquationsLoopProperties" abstract="true">
+          <eAnnotations xmi:id="_w-F8LWYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_r6gLAFp2Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_w-F8LmYfEeKa6IhMvygGQA" name="loopKind" ordered="false" unique="false" eType="_w-F8MmYfEeKa6IhMvygGQA" defaultValueLiteral=""/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_w-F8MGYfEeKa6IhMvygGQA" name="forIndices" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EEnum" xmi:id="_w-F8MmYfEeKa6IhMvygGQA" name="ModelicaML_ModelicaPredefinedEnumerations_ModelicaEquationsLoopKind">
+          <eAnnotations xmi:id="_w-F8M2YfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_dpe8cFp2Ed6wHrenq6l_fA"/>
+          <eLiterals xmi:id="_w-F8NGYfEeKa6IhMvygGQA" name="for"/>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_w-F8NWYfEeKa6IhMvygGQA" name="If">
+          <eAnnotations xmi:id="_w-F8NmYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_55tSMFNiEd6YXtyPQ2LL6Q"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_w-F8N2YfEeKa6IhMvygGQA" name="base_DecisionNode" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//DecisionNode"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_w-F8OWYfEeKa6IhMvygGQA" name="When">
+          <eAnnotations xmi:id="_w-F8OmYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_9oa_oFNiEd6YXtyPQ2LL6Q"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_w-F8O2YfEeKa6IhMvygGQA" name="base_DecisionNode" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//DecisionNode"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_w-F8PWYfEeKa6IhMvygGQA" name="ConditionalAlgorithmDiagram" eSuperTypes="_w-F8GWYfEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_w-F8PmYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_KYuS4Fp1Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_w-F8P2YfEeKa6IhMvygGQA" name="base_Activity" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Activity"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_w-F8QWYfEeKa6IhMvygGQA" name="isSubActivity" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_w-F8Q2YfEeKa6IhMvygGQA" name="initial" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_w-F8RmYfEeKa6IhMvygGQA" name="ConditionalEquationsDiagram" eSuperTypes="_w-F8LGYfEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_w-F8R2YfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_KYuS4lp1Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_w-F8SGYfEeKa6IhMvygGQA" name="base_Activity" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Activity"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_w-F8SmYfEeKa6IhMvygGQA" name="isSubActivity" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_w-F8TGYfEeKa6IhMvygGQA" name="initial" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_w-F8T2YfEeKa6IhMvygGQA" name="EquationsCodeInDiagram" eSuperTypes="_w-F8LGYfEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_w-F8UGYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_VPo_0Fp6Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_w-F8UWYfEeKa6IhMvygGQA" name="base_OpaqueAction" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//OpaqueAction"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_w-F8VGYfEeKa6IhMvygGQA" name="AlgorithmStatementsCodeInDiagram" eSuperTypes="_w-F8GWYfEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_w-F8VWYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_Ypf3kFp6Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_w-F8VmYfEeKa6IhMvygGQA" name="base_OpaqueAction" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//OpaqueAction"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_w-F8WWYfEeKa6IhMvygGQA" name="Assert">
+          <eAnnotations xmi:id="_w-F8WmYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_l_65wFNhEd6YXtyPQ2LL6Q"/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_w-F8W2YfEeKa6IhMvygGQA" name="condition" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_w-F8XWYfEeKa6IhMvygGQA" name="message" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_w-F8X2YfEeKa6IhMvygGQA" name="level" ordered="false" unique="false" lowerBound="1" eType="_w-F8Y2YfEeKa6IhMvygGQA" defaultValueLiteral="warning"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_w-F8YWYfEeKa6IhMvygGQA" name="base_Constraint" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Constraint"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EEnum" xmi:id="_w-F8Y2YfEeKa6IhMvygGQA" name="ModelicaML_ModelicaPredefinedEnumerations_ModelicaAssertionLevel">
+          <eAnnotations xmi:id="_w-F8ZGYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_lQ4fwFqDEd6wHrenq6l_fA"/>
+          <eLiterals xmi:id="_w-F8ZWYfEeKa6IhMvygGQA" name="warning"/>
+          <eLiterals xmi:id="_w-F8ZmYfEeKa6IhMvygGQA" name="error" value="1"/>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_w-F8Z2YfEeKa6IhMvygGQA" name="ModelicaMLStateMachine">
+          <eAnnotations xmi:id="_w-F8aGYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_J6FREJxKEd6RMu88zSj-NA"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_w-F8aWYfEeKa6IhMvygGQA" name="base_StateMachine" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//StateMachine"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_w-F8a2YfEeKa6IhMvygGQA" name="samplingExpression" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_w-F8bWYfEeKa6IhMvygGQA" name="additionalCode" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_w-F8b2YfEeKa6IhMvygGQA" name="StateDependency">
+          <eAnnotations xmi:id="_w-F8cGYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="__sLxEHhXEd61gosBa_LKXQ"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_w-F8cWYfEeKa6IhMvygGQA" name="isInState" ordered="false" unique="false" lowerBound="1" upperBound="-1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//State"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_w-F8c2YfEeKa6IhMvygGQA" name="base_ControlFlow" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//ControlFlow"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_w-F8dWYfEeKa6IhMvygGQA" name="logicalOperator" ordered="false" unique="false" lowerBound="1" eType="_w-F8eWYfEeKa6IhMvygGQA" defaultValueLiteral="and"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_w-F8d2YfEeKa6IhMvygGQA" name="base_Transition" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Transition"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EEnum" xmi:id="_w-F8eWYfEeKa6IhMvygGQA" name="ModelicaML_ModelicaPredefinedEnumerations_LogicalOperators">
+          <eAnnotations xmi:id="_w-F8emYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_Ky91IHoBEd6HTZA5rjYUOg"/>
+          <eLiterals xmi:id="_w-F8e2YfEeKa6IhMvygGQA" name="and"/>
+          <eLiterals xmi:id="_w-F8fGYfEeKa6IhMvygGQA" name="or" value="1"/>
+          <eLiterals xmi:id="_w-F8fWYfEeKa6IhMvygGQA" name="not" value="2"/>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_w-F8fmYfEeKa6IhMvygGQA" name="ExecutionOrderPriority">
+          <eAnnotations xmi:id="_w-F8f2YfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_DhKxkAUhEd-trtPDFQJemA"/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_w-F8gGYfEeKa6IhMvygGQA" name="priority" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="0">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Integer"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_w-F8gmYfEeKa6IhMvygGQA" name="base_Transition" ordered="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Transition"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_w-F8hGYfEeKa6IhMvygGQA" name="base_Region" ordered="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Region"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_w-F8hmYfEeKa6IhMvygGQA" name="base_ControlFlow" ordered="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//ControlFlow"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_w-F8iGYfEeKa6IhMvygGQA" name="StateTransitionSpecification">
+          <eAnnotations xmi:id="_w-F8iWYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_SZNMYEu4Ed-kMYgIGglkOw"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_w-F8imYfEeKa6IhMvygGQA" name="base_Transition" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Transition"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_w-F8jGYfEeKa6IhMvygGQA" name="suppressExitActions" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_w-F8jmYfEeKa6IhMvygGQA" name="suppressEntryActions" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_w-F8kGYfEeKa6IhMvygGQA" name="StateSpecification">
+          <eAnnotations xmi:id="_w-F8kWYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_dY6RUE-AEd-nnOK4EzJA-w"/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_w-F8kmYfEeKa6IhMvygGQA" name="freezeExpression" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_w-F8lGYfEeKa6IhMvygGQA" name="base_State" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//State"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_w-F8lmYfEeKa6IhMvygGQA" name="base_StateMachine" ordered="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//StateMachine"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+      </contents>
+      <contents xmi:type="ecore:EPackage" xmi:id="_unyzEGYfEeKa6IhMvygGQA" name="ModelicaBehaviorConstructs" nsURI="http://ModelicaML/schemas/ModelicaBehaviorConstructs/_unxk8GYfEeKa6IhMvygGQA/105" nsPrefix="ModelicaBehaviorConstructs">
+        <eAnnotations xmi:id="_unyzEWYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/4.0.0/UML" references="_HjkcIFNNEd6YXtyPQ2LL6Q"/>
+        <eAnnotations xmi:id="_uopusGYfEeKa6IhMvygGQA" source="PapyrusVersion">
+          <details xmi:id="_uopusWYfEeKa6IhMvygGQA" key="Version" value="0.0.104"/>
+          <details xmi:id="_uopusmYfEeKa6IhMvygGQA" key="Comment" value=""/>
+          <details xmi:id="_uopus2YfEeKa6IhMvygGQA" key="Copyright" value=""/>
+          <details xmi:id="_uoputGYfEeKa6IhMvygGQA" key="Date" value="2013-01-24"/>
+          <details xmi:id="_uoputWYfEeKa6IhMvygGQA" key="Author" value=""/>
+        </eAnnotations>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_unyzEmYfEeKa6IhMvygGQA" name="AlgorithmCode" eSuperTypes="_unyzGWYfEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_unyzE2YfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_-FADYFNhEd6YXtyPQ2LL6Q"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_unyzFGYfEeKa6IhMvygGQA" name="base_OpaqueBehavior" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//OpaqueBehavior"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_unyzFmYfEeKa6IhMvygGQA" name="initial" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_unyzGWYfEeKa6IhMvygGQA" name="AlgorithmLoopProperties" abstract="true">
+          <eAnnotations xmi:id="_unyzGmYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_7fZ4wFp1Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_unyzG2YfEeKa6IhMvygGQA" name="loopKind" ordered="false" unique="false" eType="_unyzIWYfEeKa6IhMvygGQA" defaultValueLiteral=""/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_unyzHWYfEeKa6IhMvygGQA" name="forIndices" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_unyzH2YfEeKa6IhMvygGQA" name="whileExpression" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EEnum" xmi:id="_unyzIWYfEeKa6IhMvygGQA" name="ModelicaML_ModelicaPredefinedEnumerations_ModelicaAlgorithmLoopKind">
+          <eAnnotations xmi:id="_unyzImYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_lQ1PsFpzEd6wHrenq6l_fA"/>
+          <eLiterals xmi:id="_unyzI2YfEeKa6IhMvygGQA" name="for"/>
+          <eLiterals xmi:id="_unyzJGYfEeKa6IhMvygGQA" name="while" value="1"/>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_unyzJWYfEeKa6IhMvygGQA" name="EquationsCode" eSuperTypes="_unyzLGYfEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_unyzJmYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_CZkP4FNiEd6YXtyPQ2LL6Q"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_unyzJ2YfEeKa6IhMvygGQA" name="base_OpaqueBehavior" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//OpaqueBehavior"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_unyzKWYfEeKa6IhMvygGQA" name="initial" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_unyzLGYfEeKa6IhMvygGQA" name="EquationsLoopProperties" abstract="true">
+          <eAnnotations xmi:id="_unyzLWYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_r6gLAFp2Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_unyzLmYfEeKa6IhMvygGQA" name="loopKind" ordered="false" unique="false" eType="_unyzMmYfEeKa6IhMvygGQA" defaultValueLiteral=""/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_unyzMGYfEeKa6IhMvygGQA" name="forIndices" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EEnum" xmi:id="_unyzMmYfEeKa6IhMvygGQA" name="ModelicaML_ModelicaPredefinedEnumerations_ModelicaEquationsLoopKind">
+          <eAnnotations xmi:id="_unyzM2YfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_dpe8cFp2Ed6wHrenq6l_fA"/>
+          <eLiterals xmi:id="_unyzNGYfEeKa6IhMvygGQA" name="for"/>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_unyzNWYfEeKa6IhMvygGQA" name="If">
+          <eAnnotations xmi:id="_unyzNmYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_55tSMFNiEd6YXtyPQ2LL6Q"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_unyzN2YfEeKa6IhMvygGQA" name="base_DecisionNode" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//DecisionNode"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_unyzOWYfEeKa6IhMvygGQA" name="When">
+          <eAnnotations xmi:id="_unyzOmYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_9oa_oFNiEd6YXtyPQ2LL6Q"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_unyzO2YfEeKa6IhMvygGQA" name="base_DecisionNode" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//DecisionNode"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_unyzPWYfEeKa6IhMvygGQA" name="ConditionalAlgorithmDiagram" eSuperTypes="_unyzGWYfEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_unyzPmYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_KYuS4Fp1Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_unyzP2YfEeKa6IhMvygGQA" name="base_Activity" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Activity"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_unyzQWYfEeKa6IhMvygGQA" name="isSubActivity" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_unyzQ2YfEeKa6IhMvygGQA" name="initial" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_unyzRmYfEeKa6IhMvygGQA" name="ConditionalEquationsDiagram" eSuperTypes="_unyzLGYfEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_unyzR2YfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_KYuS4lp1Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_unyzSGYfEeKa6IhMvygGQA" name="base_Activity" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Activity"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_unyzSmYfEeKa6IhMvygGQA" name="isSubActivity" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_unyzTGYfEeKa6IhMvygGQA" name="initial" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_unyzT2YfEeKa6IhMvygGQA" name="EquationsCodeInDiagram" eSuperTypes="_unyzLGYfEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_unyzUGYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_VPo_0Fp6Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_unyzUWYfEeKa6IhMvygGQA" name="base_OpaqueAction" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//OpaqueAction"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_unyzVGYfEeKa6IhMvygGQA" name="AlgorithmStatementsCodeInDiagram" eSuperTypes="_unyzGWYfEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_unyzVWYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_Ypf3kFp6Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_unyzVmYfEeKa6IhMvygGQA" name="base_OpaqueAction" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//OpaqueAction"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_unyzWWYfEeKa6IhMvygGQA" name="Assert">
+          <eAnnotations xmi:id="_unyzWmYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_l_65wFNhEd6YXtyPQ2LL6Q"/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_unyzW2YfEeKa6IhMvygGQA" name="condition" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_unyzXWYfEeKa6IhMvygGQA" name="message" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_unyzX2YfEeKa6IhMvygGQA" name="level" ordered="false" unique="false" lowerBound="1" eType="_unyzY2YfEeKa6IhMvygGQA" defaultValueLiteral="warning"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_unyzYWYfEeKa6IhMvygGQA" name="base_Constraint" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Constraint"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EEnum" xmi:id="_unyzY2YfEeKa6IhMvygGQA" name="ModelicaML_ModelicaPredefinedEnumerations_ModelicaAssertionLevel">
+          <eAnnotations xmi:id="_unyzZGYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_lQ4fwFqDEd6wHrenq6l_fA"/>
+          <eLiterals xmi:id="_unyzZWYfEeKa6IhMvygGQA" name="warning"/>
+          <eLiterals xmi:id="_unyzZmYfEeKa6IhMvygGQA" name="error" value="1"/>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_unyzZ2YfEeKa6IhMvygGQA" name="ModelicaMLStateMachine">
+          <eAnnotations xmi:id="_unyzaGYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_J6FREJxKEd6RMu88zSj-NA"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_unyzaWYfEeKa6IhMvygGQA" name="base_StateMachine" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//StateMachine"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_unyza2YfEeKa6IhMvygGQA" name="samplingExpression" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_unyzbWYfEeKa6IhMvygGQA" name="additionalCode" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_unyzb2YfEeKa6IhMvygGQA" name="StateDependency">
+          <eAnnotations xmi:id="_unyzcGYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="__sLxEHhXEd61gosBa_LKXQ"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_unyzcWYfEeKa6IhMvygGQA" name="isInState" ordered="false" unique="false" lowerBound="1" upperBound="-1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//State"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_unyzc2YfEeKa6IhMvygGQA" name="base_ControlFlow" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//ControlFlow"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_unyzdWYfEeKa6IhMvygGQA" name="logicalOperator" ordered="false" unique="false" lowerBound="1" eType="_unyzeWYfEeKa6IhMvygGQA" defaultValueLiteral="and"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_unyzd2YfEeKa6IhMvygGQA" name="base_Transition" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Transition"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EEnum" xmi:id="_unyzeWYfEeKa6IhMvygGQA" name="ModelicaML_ModelicaPredefinedEnumerations_LogicalOperators">
+          <eAnnotations xmi:id="_unyzemYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_Ky91IHoBEd6HTZA5rjYUOg"/>
+          <eLiterals xmi:id="_unyze2YfEeKa6IhMvygGQA" name="and"/>
+          <eLiterals xmi:id="_unyzfGYfEeKa6IhMvygGQA" name="or" value="1"/>
+          <eLiterals xmi:id="_unyzfWYfEeKa6IhMvygGQA" name="not" value="2"/>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_unyzfmYfEeKa6IhMvygGQA" name="ExecutionOrderPriority">
+          <eAnnotations xmi:id="_unyzf2YfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_DhKxkAUhEd-trtPDFQJemA"/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_unyzgGYfEeKa6IhMvygGQA" name="priority" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="0">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Integer"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_unyzgmYfEeKa6IhMvygGQA" name="base_Transition" ordered="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Transition"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_unyzhGYfEeKa6IhMvygGQA" name="base_Region" ordered="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Region"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_unyzhmYfEeKa6IhMvygGQA" name="base_ControlFlow" ordered="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//ControlFlow"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_unyziGYfEeKa6IhMvygGQA" name="StateTransitionSpecification">
+          <eAnnotations xmi:id="_unyziWYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_SZNMYEu4Ed-kMYgIGglkOw"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_unyzimYfEeKa6IhMvygGQA" name="base_Transition" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Transition"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_unyzjGYfEeKa6IhMvygGQA" name="suppressExitActions" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_unyzjmYfEeKa6IhMvygGQA" name="suppressEntryActions" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_unyzkGYfEeKa6IhMvygGQA" name="StateSpecification">
+          <eAnnotations xmi:id="_unyzkWYfEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_dY6RUE-AEd-nnOK4EzJA-w"/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_unyzkmYfEeKa6IhMvygGQA" name="freezeExpression" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_unyzlGYfEeKa6IhMvygGQA" name="base_State" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//State"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+      </contents>
+      <contents xmi:type="ecore:EPackage" xmi:id="_0_jy8GYKEeKa6IhMvygGQA" name="ModelicaBehaviorConstructs" nsURI="http://ModelicaML/schemas/ModelicaBehaviorConstructs/_0_gIkGYKEeKa6IhMvygGQA/104" nsPrefix="ModelicaBehaviorConstructs">
+        <eAnnotations xmi:id="_0_jy8WYKEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/4.0.0/UML" references="_HjkcIFNNEd6YXtyPQ2LL6Q"/>
+        <eAnnotations xmi:id="_1AkfkGYKEeKa6IhMvygGQA" source="PapyrusVersion">
+          <details xmi:id="_1AkfkWYKEeKa6IhMvygGQA" key="Version" value="0.0.103"/>
+          <details xmi:id="_1AkfkmYKEeKa6IhMvygGQA" key="Comment" value="- ADDED: additionalCode property for the ModelicaML stereotype&#xD;&#xA;- DELETED: AdditionalIncludes stereotype for state machines"/>
+          <details xmi:id="_1Akfk2YKEeKa6IhMvygGQA" key="Copyright" value=""/>
+          <details xmi:id="_1AkflGYKEeKa6IhMvygGQA" key="Date" value="2013-01-24"/>
+          <details xmi:id="_1AkflWYKEeKa6IhMvygGQA" key="Author" value=""/>
+        </eAnnotations>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_0_jy8mYKEeKa6IhMvygGQA" name="AlgorithmCode" eSuperTypes="_0_jy-WYKEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_0_jy82YKEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_-FADYFNhEd6YXtyPQ2LL6Q"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_0_jy9GYKEeKa6IhMvygGQA" name="base_OpaqueBehavior" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//OpaqueBehavior"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_0_jy9mYKEeKa6IhMvygGQA" name="initial" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_0_jy-WYKEeKa6IhMvygGQA" name="AlgorithmLoopProperties" abstract="true">
+          <eAnnotations xmi:id="_0_jy-mYKEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_7fZ4wFp1Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_0_jy-2YKEeKa6IhMvygGQA" name="loopKind" ordered="false" unique="false" eType="_0_jzAWYKEeKa6IhMvygGQA" defaultValueLiteral=""/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_0_jy_WYKEeKa6IhMvygGQA" name="forIndices" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_0_jy_2YKEeKa6IhMvygGQA" name="whileExpression" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EEnum" xmi:id="_0_jzAWYKEeKa6IhMvygGQA" name="ModelicaML_ModelicaPredefinedEnumerations_ModelicaAlgorithmLoopKind">
+          <eAnnotations xmi:id="_0_jzAmYKEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_lQ1PsFpzEd6wHrenq6l_fA"/>
+          <eLiterals xmi:id="_0_jzA2YKEeKa6IhMvygGQA" name="for"/>
+          <eLiterals xmi:id="_0_jzBGYKEeKa6IhMvygGQA" name="while" value="1"/>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_0_jzBWYKEeKa6IhMvygGQA" name="EquationsCode" eSuperTypes="_0_jzDGYKEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_0_jzBmYKEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_CZkP4FNiEd6YXtyPQ2LL6Q"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_0_jzB2YKEeKa6IhMvygGQA" name="base_OpaqueBehavior" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//OpaqueBehavior"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_0_jzCWYKEeKa6IhMvygGQA" name="initial" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_0_jzDGYKEeKa6IhMvygGQA" name="EquationsLoopProperties" abstract="true">
+          <eAnnotations xmi:id="_0_jzDWYKEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_r6gLAFp2Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_0_jzDmYKEeKa6IhMvygGQA" name="loopKind" ordered="false" unique="false" eType="_0_jzEmYKEeKa6IhMvygGQA" defaultValueLiteral=""/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_0_jzEGYKEeKa6IhMvygGQA" name="forIndices" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EEnum" xmi:id="_0_jzEmYKEeKa6IhMvygGQA" name="ModelicaML_ModelicaPredefinedEnumerations_ModelicaEquationsLoopKind">
+          <eAnnotations xmi:id="_0_jzE2YKEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_dpe8cFp2Ed6wHrenq6l_fA"/>
+          <eLiterals xmi:id="_0_jzFGYKEeKa6IhMvygGQA" name="for"/>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_0_jzFWYKEeKa6IhMvygGQA" name="If">
+          <eAnnotations xmi:id="_0_jzFmYKEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_55tSMFNiEd6YXtyPQ2LL6Q"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_0_jzF2YKEeKa6IhMvygGQA" name="base_DecisionNode" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//DecisionNode"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_0_jzGWYKEeKa6IhMvygGQA" name="When">
+          <eAnnotations xmi:id="_0_jzGmYKEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_9oa_oFNiEd6YXtyPQ2LL6Q"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_0_jzG2YKEeKa6IhMvygGQA" name="base_DecisionNode" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//DecisionNode"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_0_jzHWYKEeKa6IhMvygGQA" name="ConditionalAlgorithmDiagram" eSuperTypes="_0_jy-WYKEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_0_jzHmYKEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_KYuS4Fp1Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_0_jzH2YKEeKa6IhMvygGQA" name="base_Activity" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Activity"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_0_jzIWYKEeKa6IhMvygGQA" name="isSubActivity" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_0_jzI2YKEeKa6IhMvygGQA" name="initial" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_0_jzJmYKEeKa6IhMvygGQA" name="ConditionalEquationsDiagram" eSuperTypes="_0_jzDGYKEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_0_jzJ2YKEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_KYuS4lp1Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_0_jzKGYKEeKa6IhMvygGQA" name="base_Activity" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Activity"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_0_jzKmYKEeKa6IhMvygGQA" name="isSubActivity" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_0_jzLGYKEeKa6IhMvygGQA" name="initial" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_0_jzL2YKEeKa6IhMvygGQA" name="EquationsCodeInDiagram" eSuperTypes="_0_jzDGYKEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_0_jzMGYKEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_VPo_0Fp6Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_0_jzMWYKEeKa6IhMvygGQA" name="base_OpaqueAction" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//OpaqueAction"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_0_jzNGYKEeKa6IhMvygGQA" name="AlgorithmStatementsCodeInDiagram" eSuperTypes="_0_jy-WYKEeKa6IhMvygGQA">
+          <eAnnotations xmi:id="_0_jzNWYKEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_Ypf3kFp6Ed6wHrenq6l_fA"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_0_jzNmYKEeKa6IhMvygGQA" name="base_OpaqueAction" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//OpaqueAction"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_0_jzOWYKEeKa6IhMvygGQA" name="Assert">
+          <eAnnotations xmi:id="_0_jzOmYKEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_l_65wFNhEd6YXtyPQ2LL6Q"/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_0_jzO2YKEeKa6IhMvygGQA" name="condition" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_0_jzPWYKEeKa6IhMvygGQA" name="message" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_0_jzP2YKEeKa6IhMvygGQA" name="level" ordered="false" unique="false" lowerBound="1" eType="_0_jzQ2YKEeKa6IhMvygGQA" defaultValueLiteral="warning"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_0_jzQWYKEeKa6IhMvygGQA" name="base_Constraint" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Constraint"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EEnum" xmi:id="_0_jzQ2YKEeKa6IhMvygGQA" name="ModelicaML_ModelicaPredefinedEnumerations_ModelicaAssertionLevel">
+          <eAnnotations xmi:id="_0_jzRGYKEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_lQ4fwFqDEd6wHrenq6l_fA"/>
+          <eLiterals xmi:id="_0_jzRWYKEeKa6IhMvygGQA" name="warning"/>
+          <eLiterals xmi:id="_0_jzRmYKEeKa6IhMvygGQA" name="error" value="1"/>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_0_jzR2YKEeKa6IhMvygGQA" name="ModelicaMLStateMachine">
+          <eAnnotations xmi:id="_0_jzSGYKEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_J6FREJxKEd6RMu88zSj-NA"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_0_jzSWYKEeKa6IhMvygGQA" name="base_StateMachine" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//StateMachine"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_0_jzS2YKEeKa6IhMvygGQA" name="samplingExpression" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_0_jzTWYKEeKa6IhMvygGQA" name="additionalCode" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_0_jzT2YKEeKa6IhMvygGQA" name="StateDependency">
+          <eAnnotations xmi:id="_0_jzUGYKEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="__sLxEHhXEd61gosBa_LKXQ"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_0_jzUWYKEeKa6IhMvygGQA" name="isInState" ordered="false" unique="false" lowerBound="1" upperBound="-1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//State"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_0_jzU2YKEeKa6IhMvygGQA" name="base_ControlFlow" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//ControlFlow"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_0_jzVWYKEeKa6IhMvygGQA" name="logicalOperator" ordered="false" unique="false" lowerBound="1" eType="_0_jzWWYKEeKa6IhMvygGQA" defaultValueLiteral="and"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_0_jzV2YKEeKa6IhMvygGQA" name="base_Transition" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Transition"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EEnum" xmi:id="_0_jzWWYKEeKa6IhMvygGQA" name="ModelicaML_ModelicaPredefinedEnumerations_LogicalOperators">
+          <eAnnotations xmi:id="_0_jzWmYKEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_Ky91IHoBEd6HTZA5rjYUOg"/>
+          <eLiterals xmi:id="_0_jzW2YKEeKa6IhMvygGQA" name="and"/>
+          <eLiterals xmi:id="_0_jzXGYKEeKa6IhMvygGQA" name="or" value="1"/>
+          <eLiterals xmi:id="_0_jzXWYKEeKa6IhMvygGQA" name="not" value="2"/>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_0_jzXmYKEeKa6IhMvygGQA" name="ExecutionOrderPriority">
+          <eAnnotations xmi:id="_0_jzX2YKEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_DhKxkAUhEd-trtPDFQJemA"/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_0_jzYGYKEeKa6IhMvygGQA" name="priority" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="0">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Integer"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_0_jzYmYKEeKa6IhMvygGQA" name="base_Transition" ordered="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Transition"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_0_jzZGYKEeKa6IhMvygGQA" name="base_Region" ordered="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Region"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_0_jzZmYKEeKa6IhMvygGQA" name="base_ControlFlow" ordered="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//ControlFlow"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_0_jzaGYKEeKa6IhMvygGQA" name="StateTransitionSpecification">
+          <eAnnotations xmi:id="_0_jzaWYKEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_SZNMYEu4Ed-kMYgIGglkOw"/>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_0_jzamYKEeKa6IhMvygGQA" name="base_Transition" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//Transition"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_0_jzbGYKEeKa6IhMvygGQA" name="suppressExitActions" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_0_jzbmYKEeKa6IhMvygGQA" name="suppressEntryActions" ordered="false" unique="false" lowerBound="1" defaultValueLiteral="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//Boolean"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+        <eClassifiers xmi:type="ecore:EClass" xmi:id="_0_jzcGYKEeKa6IhMvygGQA" name="StateSpecification">
+          <eAnnotations xmi:id="_0_jzcWYKEeKa6IhMvygGQA" source="http://www.eclipse.org/uml2/2.0.0/UML" references="_dY6RUE-AEd-nnOK4EzJA-w"/>
+          <eStructuralFeatures xmi:type="ecore:EAttribute" xmi:id="_0_jzcmYKEeKa6IhMvygGQA" name="freezeExpression" ordered="false" unique="false">
+            <eType xmi:type="ecore:EDataType" href="http://www.eclipse.org/uml2/4.0.0/Types#//String"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_0_jzdGYKEeKa6IhMvygGQA" name="base_State" ordered="false" unique="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//State"/>
+          </eStructuralFeatures>
+          <eStructuralFeatures xmi:type="ecore:EReference" xmi:id="_0_jzdmYKEeKa6IhMvygGQA" name="base_StateMachine" ordered="false" lowerBound="1">
+            <eType xmi:type="ecore:EClass" href="http://www.eclipse.org/uml2/4.0.0/UML#//StateMachine"/>
+          </eStructuralFeatures>
+        </eClassifiers>
+      </contents>
       <contents xmi:type="ecore:EPackage" xmi:id="_Kpnp0FaVEd-OiJEhN960pA" name="ModelicaBehaviorConstructs" nsURI="http://ModelicaML/schemas/ModelicaBehaviorConstructs/_Kpd40FaVEd-OiJEhN960pA/103" nsPrefix="ModelicaBehaviorConstructs">
         <eAnnotations xmi:id="_KqNf7FaVEd-OiJEhN960pA" source="PapyrusVersion">
